Bug 2000795 (CVE-2021-3762) - CVE-2021-3762 quay/claircore: directory traversal when scanning crafted container image layer allows for arbitrary file write
Summary: CVE-2021-3762 quay/claircore: directory traversal when scanning crafted conta...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2021-3762
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 2000666 2003980
TreeView+ depends on / blocked
 
Reported: 2021-09-03 00:10 UTC by Sam Fowler
Modified: 2022-03-01 09:54 UTC (History)
13 users (show)

Fixed In Version: quay/claircore 0.5.5, quay/claircore 0.4.8
Doc Type: If docs needed, set a value
Doc Text:
A directory traversal vulnerability was found in the ClairCore engine of Clair. An attacker can exploit this by supplying a crafted container image which, when scanned by Clair, allows for arbitrary file write on the filesystem, potentially allowing for remote code execution.
Clone Of:
Environment:
Last Closed: 2021-09-29 00:21:07 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2021:3665 0 None None None 2021-09-28 16:29:59 UTC

Description Sam Fowler 2021-09-03 00:10:28 UTC
A vulnerability in Clair allows overwriting an arbitrary file anywhere in the filesystem, when scanning a malicious Docker layer. In most if not all instances this could lead to remote code execution on the Clair scanner instance.

Comment 8 errata-xmlrpc 2021-09-28 16:29:58 UTC
This issue has been addressed in the following products:

  Red Hat Quay 3

Via RHSA-2021:3665 https://access.redhat.com/errata/RHSA-2021:3665

Comment 9 Product Security DevOps Team 2021-09-29 00:21:07 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2021-3762


Note You need to log in before you can comment on or make changes to this bug.